<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
// import Joomla modelitem library
jimport('joomla.application.component.model');

class RaceScheduleModelUpcomingRaces extends JModel
{
	public function getRaces()
	{
		$db = $this->getDbo();
		$query = $db->getQuery(true);

		$query->select('e.id AS id, e.title AS title, e.body AS body, e.special_event AS special_event, e.game_date AS game_date, e.result AS result');
		$query->from('#__raceschedule_events AS e');
		$query->select('t.title AS track, t.track_short AS track_short');
		$query->join('LEFT', '#__raceschedule_tracks AS t ON t.id = e.track_id');
		$query->where('e.published = 1');
		$query->where('e.game_date > NOW()');
		$query->order('game_date ASC');

		$db->setQuery($query);

		$rows = $db->loadObjectList();

		return $rows;
	}
}